Loading...
Searching...
No Matches
base.hh File Reference
Common » Vectorization » Abstraction Developer's Interface

Basic definitions for SIMD Implementations. More...

Go to the source code of this file.

## Classes

struct | Dune::Simd::Overloads::ADLTag< i >
struct | Dune::Simd::Overloads::ADLTag< 0 >

## Namespaces

namespace | Dune
| Dune namespace
namespace | Dune::Simd
| Namespace for vectorization interface functions used by library developers.
namespace | Dune::Simd::Overloads
| Namespace for the overloads and specializations that make up a SIMD implementation.

## Detailed Description

Basic definitions for SIMD Implementations.

This file provides basic definitions and template declarations that are used to write SIMD abstraction layers.

This file should never be included by users of the SIMD abstraction. Include <dune/common/simd/simd.hh> instead.